curl --request POST \
--url https://api.hubapi.com/webhooks-journal/subscriptions/2026-09/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"conditions": [
{
"filterType": "CRM_OBJECT_PROPERTY",
"property": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
},
"subscriptionId": 123
}
'import requests
url = "https://api.hubapi.com/webhooks-journal/subscriptions/2026-09/filters"
payload = {
"filter": { "conditions": [
{
"filterType": "CRM_OBJECT_PROPERTY",
"property": "<string>",
"value": "<string>",
"values": ["<string>"]
}
] },
"subscriptionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
conditions: [
{
filterType: 'CRM_OBJECT_PROPERTY',
property: '<string>',
value: '<string>',
values: ['<string>']
}
]
},
subscriptionId: 123
})
};
fetch('https://api.hubapi.com/webhooks-journal/subscriptions/2026-09/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filterId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a subscription filter
Crea un nuevo filtro para una suscripción a webhooks específica en la cuenta de HubSpot. Este punto de terminación te permite definir condiciones que determinan cuándo se debe activar un webhook. El filtro está asociado a una suscripción identificada por su ID, y la solicitud debe incluir los detalles del filtro.
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Cuerpo
Defines a single condition for searching CRM objects, specifying the property to filter on, the operator to use (such as equals, greater than, or contains), and the value(s) to compare against.
Show child attributes
Show child attributes
Un número entero que representa el identificador único de la suscripción a la que se aplicará el filtro. Es obligatorio y usa el formato int64.
Respuesta
successful operation
El identificador único del filtro creado. Es un número entero en formato int64.